summaryrefslogtreecommitdiffstats
path: root/source/n/proftpd/proftpd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/proftpd/proftpd.SlackBuild')
-rwxr-xr-xsource/n/proftpd/proftpd.SlackBuild31
1 files changed, 24 insertions, 7 deletions
diff --git a/source/n/proftpd/proftpd.SlackBuild b/source/n/proftpd/proftpd.SlackBuild
index b004745ab..e7227fda3 100755
--- a/source/n/proftpd/proftpd.SlackBuild
+++ b/source/n/proftpd/proftpd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,13 +21,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.3.2
-DIRVER=1.3.2
-ARCH=${ARCH:-x86_64}
+VERSION=1.3.3
+DIRVER=1.3.3
BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -37,6 +46,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -48,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf proftpd-$VERSION
-tar xvf $CWD/proftpd-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/proftpd-$VERSION.tar.?z* || exit 1
cd proftpd-$DIRVER || exit 1
chown -R root:root .
@@ -93,8 +105,13 @@ mkdir -p $PKG/usr/doc/proftpd-$VERSION
cp -a COPYING CREDITS INSTALL NEWS README* \
contrib/README.mod_wrap contrib/README.ratio \
$PKG/usr/doc/proftpd-$VERSION
-head -c 93 ChangeLog > $PKG/usr/doc/proftpd-$VERSION/ChangeLog
-touch -r ChangeLog $PKG/usr/doc/proftpd-$VERSION/ChangeLog
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/proftpd-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
cp -a contrib/README $PKG/usr/doc/proftpd-$VERSION/README.contrib
cp -a doc sample-configurations $PKG/usr/doc/proftpd-$VERSION
# Bloat removal: